commit:     10d70a4f28e436b2ef7ee730ad593a08c20762f6
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 12 12:47:27 2019 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Sat Jan 12 12:59:26 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=10d70a4f

sys-apps/nix: bump up to 2.2.1

Package-Manager: Portage-2.3.55, Repoman-2.3.12
Signed-off-by: Sergei Trofimovich <slyfox <AT> gentoo.org>

 sys-apps/nix/Manifest         |   1 +
 sys-apps/nix/nix-2.2.1.ebuild | 144 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 145 insertions(+)

diff --git a/sys-apps/nix/Manifest b/sys-apps/nix/Manifest
index 6c22a7b1d43..f9e694e7dec 100644
--- a/sys-apps/nix/Manifest
+++ b/sys-apps/nix/Manifest
@@ -1,3 +1,4 @@
 DIST nix-2.0.2.tar.xz 796404 BLAKE2B 
0906488bf2c800544c0747a6860ef51f667467f50039f725cf6ec05b8389462fe073bddceba106922a7611fd784b58ed5ca321efba0065b0f424aa53d7620990
 SHA512 
605e2c6dbc814470c25aa4f0aca77bfd11fd6d5c263ef38915cb9b852e77bcff08d515e76de8d929c9eacd02ffeaa5dd5f6b337461d54a1b2648b1fc505c98fa
 DIST nix-2.0.4.tar.xz 798352 BLAKE2B 
0eaf7e507c87e5398ab5967e1f2064a5827038bb84208768aa1c1deadc95e44aab922846b728467e3355d1f25e740590c3d1748ec05dfeae6a171952fd941b77
 SHA512 
bce3b3a14269d42648a4935770260c36dab25fde3ebcfed730063d1d139603468e1c30acf15eb0cffff617fa36a6b39d4ae31ccfd9cba762f631ecac213fd09a
 DIST nix-2.1.3.tar.xz 816396 BLAKE2B 
9627626075841e7f389f5010418fe17569ae69ea07de5ff9a0557df864052cc8b48f2a4dbfe16dffc5dca3fb180f527199f367810899ae9474d00e8fcc00b760
 SHA512 
d22718d23d8960dac7d07739835caa8183f573b303d77613e77314d873c1fe6da1cb0ed78337fe3219a94675307b23132a62ae7d9aa5354707e58400f403524b
+DIST nix-2.2.1.tar.xz 818648 BLAKE2B 
2e836bd40ea1ee22c308bd287b1ad1e5607729574b5cfe3494fbf017c618d7475d6150a9b97966f1aaea6bcb37b6535db1b2d693f0fedd0598881efe1a8c538e
 SHA512 
42055fcbecc664899203d90d47f85ce2b12987fac6cb776f09dc202d5f3e07a4b2d6a7ee67fe8d6094062dc516dfe42eeb4acc05dfebd31f2b5670c0979bddd4

diff --git a/sys-apps/nix/nix-2.2.1.ebuild b/sys-apps/nix/nix-2.2.1.ebuild
new file mode 100644
index 00000000000..7168bdd8d9a
--- /dev/null
+++ b/sys-apps/nix/nix-2.2.1.ebuild
@@ -0,0 +1,144 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools flag-o-matic readme.gentoo-r1 user
+
+DESCRIPTION="A purely functional package manager"
+HOMEPAGE="https://nixos.org/nix";
+
+SRC_URI="http://nixos.org/releases/${PN}/${P}/${P}.tar.xz";
+LICENSE="LGPL-2.1"
+SLOT="0"
+#keywords are blocked by boost-1.66
+#KEYWORDS="~amd64 ~x86"
+IUSE="+etc_profile +gc doc s3 sodium"
+
+RDEPEND="
+       app-arch/brotli
+       app-arch/bzip2
+       app-arch/xz-utils
+       dev-db/sqlite
+       dev-libs/editline:0=
+       dev-libs/openssl:0=
+       >=dev-libs/boost-1.66:0=[context]
+       net-misc/curl
+       sys-libs/libseccomp
+       sys-libs/zlib
+       gc? ( dev-libs/boehm-gc[cxx] )
+       doc? ( dev-libs/libxml2
+               dev-libs/libxslt
+               app-text/docbook-xsl-stylesheets
+       )
+       s3? ( dev-libs/aws-sdk-cpp )
+       sodium? ( dev-libs/libsodium:0= )
+"
+DEPEND="${RDEPEND}
+       >=sys-devel/bison-2.6
+       >=sys-devel/flex-2.5.35
+"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-1.11.6-systemd.patch
+       "${FILESDIR}"/${PN}-1.11.6-respect-CXXFLAGS.patch
+       "${FILESDIR}"/${PN}-1.11.6-respect-LDFLAGS.patch
+       "${FILESDIR}"/${PN}-2.0-user-path.patch
+)
+
+DISABLE_AUTOFORMATTING=yes
+DOC_CONTENTS=" Quick start user guide on Gentoo:
+
+[as root] enable nix-daemon service:
+       [systemd] # systemctl enable nix-daemon
+       [openrc]  # rc-update add nix-daemon
+[as a user] relogin to get environment and profile update
+[as a user] fetch nixpkgs update:
+       \$ nix-channel --update
+[as a user] install nix packages:
+       \$ nix-env -i mc
+[as a user] configure environment:
+       Somewhere in .bash_profile you might want to set
+       LOCALE_ARCHIVE=\$HOME/.nix-profile/lib/locale/locale-archive
+       but please read https://github.com/NixOS/nixpkgs/issues/21820
+
+Next steps:
+       nix package manager user manual: http://nixos.org/nix/manual/
+"
+
+pkg_setup() {
+       enewgroup nixbld
+       for i in {1..10}; do
+               # we list 'nixbld' twice to
+               # both assign a primary group for user
+               # and add a user to /etc/group
+               enewuser nixbld${i} -1 -1 /var/empty nixbld,nixbld
+       done
+}
+
+src_prepare() {
+       default
+
+       eautoreconf
+}
+
+src_configure() {
+       local econf_args=()
+
+       if ! use s3; then
+               # Disable automagic depend: bug #670256
+               export ac_cv_header_aws_s3_S3Client_h=no
+       fi
+       econf \
+               --localstatedir="${EPREFIX}"/nix/var \
+               $(use_enable gc) \
+               "${args[@]}"
+}
+
+src_compile() {
+       local make_vars=(
+               OPTIMIZE=0 # disable hardcoded -O3
+               V=1 # verbose build
+       )
+       emake "${make_vars[@]}"
+}
+
+src_install() {
+       # TODO: emacs highlighter
+       default
+
+       readme.gentoo_create_doc
+
+       # here we use an eager variant of something that
+       # is lazily done by nix-daemon and root nix-env
+
+       # TODO: will need a tweak for prefix
+       keepdir             /nix/store
+       fowners root:nixbld /nix/store
+       fperms 1775         /nix/store
+
+       keepdir             /nix/var/nix/channel-cache
+       fperms 0777         /nix/var/nix/channel-cache
+
+       keepdir             /nix/var/nix/profiles/per-user
+       fperms 1777         /nix/var/nix/profiles/per-user
+
+       # setup directories nix-daemon: /etc/profile.d/nix-daemon.sh
+       keepdir             /nix/var/nix/gcroots/per-user
+       fperms 1777         /nix/var/nix/gcroots/per-user
+
+       newinitd "${FILESDIR}"/nix-daemon.initd nix-daemon
+
+       if ! use etc_profile; then
+               rm "${ED}"/etc/profile.d/nix.sh || die
+               rm "${ED}"/etc/profile.d/nix-daemon.sh || die
+       fi
+}
+
+pkg_postinst() {
+       if ! use etc_profile; then
+               ewarn "${EROOT}etc/profile.d/nix.sh was removed (due to 
USE=-etc_profile)."
+       fi
+
+       readme.gentoo_print_elog
+}

Reply via email to